Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GSegmentedArrow

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GArrow
              SEdit.Graphics.GSegmentedArrow

    public class GSegmentedArrow

extends GArrow

CLASSE GSegmentedArrow /

Field Summary
`static int` | `AUTOMATIC`
`static int` | `HORIZONTAL_HORIZONTAL`
`static int` | `HORIZONTAL_VERTICAL`
`static int` | `VERTICAL_HORIZONTAL`
`static int` | `VERTICAL_VERTICAL`

Fields inherited from class SEdit.Graphics.GArrow
`bigRb, bigRp, BROKEN_LINE, defaultRb, defaultRp, DIAMONDEND, DIRECT_LINE, NOTHING, p, q, ra, ras, rDiamond, ROUNDEND, rRound, rSquare, SHARPEND, SQUAREEND, WHITESHARPEND`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GSegmentedArrow()`
`GSegmentedArrow(int _x, int _y)`

Method Summary
`void` | `paint(java.awt.Graphics g)`

Methods inherited from class SEdit.Graphics.GArrow
`contains, displayName, drawDiamondEnd, drawEnding, drawRoundEnd, drawSharpEnd, drawSquareEnd, drawWhiteSharpEnd, fixBounds, getBounds, getCenter, getDimension, getEndingForm, getLineStyle, getStartingForm, intersection, isContainedIn, isContainedIn, prepareColor, setCenter, setEndingForm, setLineStyle, setStartingForm, snapToGrid`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, drag, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isSelectable, isSelected, reInstall, select, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HORIZONTAL_HORIZONTAL

    public static final int HORIZONTAL_HORIZONTAL

See Also:
  Constant Field Values

### HORIZONTAL_VERTICAL

    public static final int HORIZONTAL_VERTICAL

See Also:
  Constant Field Values

### VERTICAL_HORIZONTAL

    public static final int VERTICAL_HORIZONTAL

See Also:
  Constant Field Values

### VERTICAL_VERTICAL

    public static final int VERTICAL_VERTICAL

See Also:
  Constant Field Values

### AUTOMATIC

    public static final int AUTOMATIC

See Also:
  Constant Field Values

Constructor Detail

### GSegmentedArrow

    public GSegmentedArrow()

### GSegmentedArrow

    public GSegmentedArrow(int _x,
                           int _y)

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GArrow`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.